View Issue Details

IDProjectCategoryView StatusLast Update
0001771Far ManagerPlugins API.Dialogpublic2011-05-21 14:02
ReporterMaximusAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0001771: некорректно проверяется размер структуры в DM_GETDIALOGINFO
Descriptiondialog.cpp:DefDlgProc
if (static_cast<size_t>(di->StructSize)>=offsetof(DialogInfo,Id)+sizeof(di->Id))
должно быть больше на sizeof(di->Owner)
TagsNo tags attached.
Build2042

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2011-05-18 16:17 Maximus New Issue
2011-05-19 14:32 vskirdin Assigned To => zg
2011-05-19 14:32 vskirdin Status new => assigned
2011-05-21 14:02 DrKnS Build => 2042
2011-05-21 14:02 DrKnS Status assigned => closed
2011-05-21 14:02 DrKnS Assigned To zg => DrKnS
2011-05-21 14:02 DrKnS Resolution open => fixed
2011-05-21 14:02 DrKnS Fixed in Version => 3.0